<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.3 (2008/12/21)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Admin Main page - GuppY PHP Script - version 4.5    
 * CeCILL Copyright (C) 2004-2006 by Laurent Duveau
 * Made by Laurent Duveau, Nicolas Alves, Albert Aymard,
 * Jean-Michel Misrachi, Isabelle Marchina and Team
 * Web site = http://www.freeguppy.org/
 * E-mail   = info@aldweb.com
 * version 4.6.x
 */
session_start();
header("Cache-control: private");
define("CHEMIN", "../../");
include(CHEMIN."inc/includes.inc");
$lng = strip_tags($lng);
// Insertion des fichiers de langue
include(CHEMIN."plugins/adm_redacteurs/lang/".$lng."-adm_redacteurs.inc"); // fichier de langue du plugin
include(CHEMIN."inc/lang/".$lng."-admin.inc"); //fichier de langue de guppy
//compatibilit avec compression des pages active dans guppy
$site[26] = ""; 
//Vrification de l'existence, rcupration et scurisation des variables de sessions
if (file_exists(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT)) {
    include(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT);
} else {
    die($redac60);
}
//on regarde ce que contient la variable $log
switch ($log){
    case "Not logged" :  //on sort
	      if($version == "new"){
              unset($_SESSION['log']);
	          unset($_SESSION['upseudo']);
		  } else {
		      session_unset();
			}
	      session_destroy();
          header("Location:".CHEMIN."plugins/adm_redacteurs/connect.php?lng=".$lng);
          break;
		  
    case "Logged" :
          // Insertion des fonctions
          include(CHEMIN."plugins/adm_redacteurs/inc/functionredac.inc");  //on rcupre le fichier de fonctions  	 
	      
		  //on rcupre les plugins installs pour le rdacteur
          if (file_exists(REP_DOC_PLUGIN."list_plugins".DBEXT)) { //on teste pour voir si le listing des plugins existe
              $redac_plugins = RecupPluginRedac(REP_DOC_PLUGIN."list_plugins".DBEXT);
		      $nbplugins = count($redac_plugins) ;	
          }
        
		  // On rcupre la config du rdacteur
		  include(REP_REDAC.$upseudo.DBEXT);
			
		  //On rcupre la config du Groupe Rdacteur si le rdacteur appartient  un Groupe Rdacteur
		  if(isset($redacprefs['rgroupseudo']) && $redacprefs['rgroupseudo'] != '' &&  file_exists(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT)) {
		  	  include(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT);
		  } 
		  
          // on affecte le fichier doc du rdacteur
          $docidredac = REP_DOC."doc_".$redacprefs['rpseudo'].DBEXT; 
 			       
          if ($logout == 1) {
	          if($version == "new"){
                  unset($_SESSION['log']);
	              unset($_SESSION['upseudo']);
		      } else {
		          session_unset();
			  }
	          session_destroy();
				//DESTRUCTION COOKIE
				$dbcookie = array();
				$dbcookie = explode(CONNECTOR,$_COOKIE['GuppYRedac']);
				$dbwork = array();			
				$dbwork = ReadDBFields(REP_REDACMSG.'redac_online'.DBEXT);
				for($i =0;$i < count($dbwork);$i++) {
					if($dbwork[$i][0] == $dbcookie[0] && $dbwork[$i][1] == $dbcookie[1]) {
						$dbwork[$i][2] = 'i';
					}
				}
				WriteDBFields(REP_REDACMSG.'redac_online'.DBEXT,$dbwork);
				unset($dbwork);
				unset($dbcookie);
			  //destruction cookie
			  setcookie('GuppYRedac','',time()-86400,'/');
			  unset($_COOKIE['GuppYRedac']);
////////////////////////////////////////////////////////////////////////////////////
              header("Location:".CHEMIN."index.php");
              break;
          }
 		  //AFFICHAGE PSEUDO BOITE LATERALE
		  /*	$dbwork = array();			
		  	$dbwork = ReadDBFields(REP_REDACMSG.'redac_online'.DBEXT);
			$j = 0;
			for($i =0;$i < count($dbwork);$i++) {
				if($dbwork[$i][0] == $upseudo) {
					$dbwork[$i][2] = 'a';
					$j = 1;
				}
			}
			if($j == 1) {
				WriteDBFields(REP_REDACMSG.'redac_online'.DBEXT,$dbwork);
			} else {
				$dbwork = array();
				$dbwork[0] = $upseudo;
    			$dbwork[2] = 'a';
				AppendDBFields(REP_REDACMSG.'redac_online'.DBEXT,$dbwork);
			}
			unset($dbwork); */
			$timeSession[0][0] = time();
			WriteDBFields(REP_REDACMSG.$upseudo.'_time'.DBEXT,$timeSession);
			unset($timeSession);
 			///////////////////////////////////////
  
          $pg = isset($_POST["pg"]) ? strip_tags($_POST["pg"]) : (isset($_GET["pg"]) ? strip_tags($_GET["pg"]) : NULL); 
          $plug = isset($_POST["plug"]) ? strip_tags($_POST["plug"]) : (isset($_GET["plug"]) ? strip_tags($_GET["plug"]) : NULL);

          if (empty($pg)) {
              include(CHEMIN."inc/hpage.inc");
              htable($admin1, "100%");
?>
              <p style="text-align:center;font-weight:bold;"><?php echo $admin2; ?></p>
              <p style="text-align:center;"><?php echo $redac37; ?><br /><?php echo $admin4; ?></p>
<?php
              //modification du mot de passe
              if($redacprefs['rwritpass'] == 'On') {
?>
			     <hr />
                 <form action="admin.php?lng=<?php echo $lng; ?>&amp;pg=redac_pass" method="post">
			     <input type="hidden"  name="connectpass" id="connectpass" value="0" />
			     <p style="text-align:center;"><input type="submit" value="<?php echo $redac91; ?>" name="vpassredac" class="bouton" /></p>
			     </form>
<?php			
			  }
?>
	          <hr />
              <table cellspacing="0" cellpadding="0" border="0" align="center">
<?php 
              //affichage des icones des sections du rdacteur
                echo '<tr>';
				AffichSectionRedac('rnews',TYP_NEWS,'news',$admin13);
                AffichSectionRedac('rart',TYP_ART,'art',$admin5);
                AffichSectionRedac('rphoto',TYP_PHOTO,'photo',$admin322);
                AffichSectionRedac('rlinks',TYP_LINKS,'links',$admin10);	 
                echo '</tr><tr>';
                AffichSectionRedac('rthink',TYP_THINK,'think',$admin6);
                AffichSectionRedac('rfaq',TYP_FAQ,'faq',$admin206);
                AffichSectionRedac('rfile','up','upload',$admin171);
                AffichSectionRedac('rbanner',TYP_BANNER,'banner',$admin263);
                echo '</tr><tr>';				 
                AffichSectionRedac('rdnload',TYP_DNLOAD,'dnload',$admin18);
                AffichSectionRedac('ragenda',TYP_AGENDA,'agenda',$admin624);
				AffichSectionRedac('redito',TYP_HOMEPG,'homepg',$admin8);
				AffichSectionRedac('rblog',TYP_BLOG,'blog',$admin770);
				//Icone adm_redacteurs
				if(isset($redacprefs['rlistgestredac']) && $redacprefs['rlistgestredac'] != '') {
					include("plugins/adm_redacteurs/plugin.inc"); 
            		echo '<td nowrap="nowrap" style="text-align:center;padding:15px;"><a href="admin.php?lng='.$lng.'&amp;pg=plugin&amp;plug='.$plugin_admin_url.'"><img src="plugins/'.$plugin_admin_icon.'" width="32" height="32" alt="'.$redac56.'" alt="'.$redac56.'" border="0" /><br />'.$redac68.'</a></td>'."\n";
    			} else {		 
		    		echo '<td nowrap="nowrap" style="text-align:center;padding:15px;"><img src="inc/img/admin/blank.gif" width="32" height="32" alt="" border="0" /></td>'."\n";
    			}		
		//		echo '<td>&nbsp;</td>';
                echo '</tr>';          
                //insertion des icones des plugins
                include("plugins/plugins.inc");
                //fin insertion des icones plugins 
?>
              </table>
              <hr />
              <p style="text-align:center;font-weight:bold;"><a href="admin.php?lng=<?php echo $lng; ?>&amp;logout=1"><?php echo $admin19; ?></a></p>
<?php
              btable();
              include(CHEMIN."inc/bpage.inc");
         }
         elseif (!empty($pg)) {
             if (($pg == "plugin") && (file_exists("plugins/".$plug.".inc"))) {
                 define("CHEMIN", "../../");
                 include("plugins/".$plug.".inc");
             }
             elseif (file_exists("inc/".$pg.".inc")) {
                 define("CHEMIN", "../../");
                 include("inc/".$pg.".inc");
             }
             else {
?>
                 <p style="text-align:center;font-weight:bold;"><?php echo $admin20; ?>&nbsp;<?php echo $admin21; ?></p>
                 <br>
                 <p style="text-align:center;"><a href="<?php echo CHEMIN; ?>admin/admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a></p>
<?php
            }
         }
         break;
        
    default :
	      if($version == "new"){
              unset($_SESSION['log']);
	          unset($_SESSION['upseudo']);
		  } else {
		      session_unset();
			}
	      session_destroy();
          header("Location:".CHEMIN."plugins/adm_redacteurs/connect.php?lng=".$lng);    
}
?>