<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.3 (2008/12/21)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Plugin Diaporama - Export des items    
 * Jean-Michel MISRACHI
 * Web site = http://jmmis.free.fr/
 * e-mail   = jmmis@free.fr
 * version 4.6.11
 * 
 * Fichier modifi par ZebulonT : http://www.cyclotronp.net/
 * pour l'intgration de la Version 4.6.11 du plugin Diaporama de Jean-Mi
 * dans le plugin Adm_redacteurs de djchouix (2008/12/20)
 *
 */
if (stristr($_SERVER["SCRIPT_NAME"], "export.inc")) {
  header("location:../index.php");
  die();
}

define("CHEMIN", "../../");
$lng  = strip_tags($lng);
$pg   = strip_tags($pg);
$plug = strip_tags($plug);
$diapo_exp_action = strip_tags($diapo_exp_action);
include(CHEMIN."plugins/diaporama/lang/".$lng."-adm.inc");
include_once(CHEMIN."plugins/jmm/functions.php");
include_once(CHEMIN."plugins/diaporama/inc/data_func.inc");

$topmess = $diapo_adm133;
include(CHEMIN."inc/hpage.inc");
htable($topmess, "100%");

$diapo_items = DP_ReadListDiapo();

if ($diapo_exp_action == "export") {
	// Export
	$dp_next_menu_id = 1;
	DP_NewExport();
	foreach($diapo_items as $diapo_item) {
		if ($diapo_item[2] == "e") {
			// Export vers ajoutemenu
			$dp_menu_item = array(
				$diapo_item[3], $diapo_item[4], 
				$diapo_item[5], $diapo_item[6], 
				$dp_next_menu_id, "a", 
				"plugins/diaporama/diaporama.php?lng=".$lang[0]."&diapo_id=".$diapo_item[1],
				($lang[1] == ""? "" : "plugins/diaporama/diaporama.php?lng=".$lang[1]."&diapo_id=".$diapo_item[1]), 0 );
			$dp_next_menu_id++;
			DP_AddExport($dp_next_menu_id, $dp_menu_item);
		}
	}
} else if ($diapo_exp_action == "import") {
	// Rintgration
	for($dp_i=0; $dp_i<count($diapo_items); $dp_i++) {
		$diapo_id = $diapo_items[$dp_i][1];
		if (${"r_".$diapo_id} == "on") 
			$diapo_items[$dp_i][2] = "i";
	}
	DP_WriteListDiapo($diapo_items);
}

$diapo_items = DP_ReadListDiapo();
$diapo_nb = 0;
if (is_array($diapo_items)) {
	foreach($diapo_items as $diapo_item){
		if ($diapo_item[2] == "e") $diapo_nb++;
	}
}
/*
if (($diapo_nb==0) && !empty($diapo_exp_action)) {
	header("location:".$site[3]."admin/admin.php?lng=fr&pg=plugin&plug=diaporama/inc/admin");
}
*/
echo "<br /><p align=\"center\">".$diapo_adm134."</p><hr />";
LiensBackLogout($diapo_adm32, "diaporama/inc/admin");
echo "<hr />";

if ($diapo_nb > 0) {
	FormBegin("diapo_export", "diaporama/inc/export");
	FormHidden("diapo_exp_action", "import");
	if ($diapo_nb > 10) 
		FormButtons($diapo_adm18);
	else
		echo "<br />";
	
	$diapo_headers = array($diapo_adm10, $diapo_adm11, $diapo_adm12, "", "", $diapo_adm13, "");
	$diapo_actions = array(
		array("e"=>$diapo_adm115));
	$diapo_commandes = array();
	foreach($diapo_items as $diapo_item){
		if ($diapo_item[2] == "e") {
			$diapo_items2[] = array(
				$diapo_item[1], $diapo_item[2],	stripslashes($diapo_item[3]), stripslashes($diapo_item[4]),
				stripslashes($diapo_item[5]), stripslashes($diapo_item[6]),	"", "");
		}
	}
	FormTableItems($diapo_items2, $diapo_headers, $diapo_actions, $diapo_commandes, true);
	FormEnd($diapo_adm18);
	echo "<p align=\"center\"><a href=\"".CHEMIN."admin/admin.php?lng=".$lng."&amp;pg=plugin&amp;plug=diaporama/inc/export&amp;diapo_exp_action=export\"><b>".$diapo_adm135."</b></a></p>";
} else {
	echo "<p align='center'><b>".$diapo_adm136."</b></p>";
}

echo "<hr />";
LiensBackLogout($diapo_adm32, "diaporama/inc/admin");
echo "<hr />";
VersionAuteurPlugin($diapo_version, $diapo_auteur1, 2.1);
include(CHEMIN."admin/plugins/diaporama/inc/gd2info.inc");

btable();
include(CHEMIN."inc/bpage.inc");
?>
